Package org.apache.lucene.search.join

## Class QueryBitSetProducer

- java.lang.Object
- - org.apache.lucene.search.join.QueryBitSetProducer

- All Implemented Interfaces:
    `BitSetProducer`

      public class QueryBitSetProducer
      extends Object
      implements BitSetProducer

  A `BitSetProducer` that wraps a query and caches matching `BitSet`s per segment.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryBitSetProducer​(Query query)` | Wraps another query's result and caches it into bitsets.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `BitSet` | `getBitSet​(LeafReaderContext context)` | Produce a `BitSet` matching the expected documents on the given segment.
    `Query` | `getQuery()` | Gets the contained query.
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryBitSetProducer

          public QueryBitSetProducer​(Query query)

      Wraps another query's result and caches it into bitsets.
      Parameters:
        `query` - Query to cache results of

  - ### Method Detail

    - #### getQuery

          public Query getQuery()

      Gets the contained query.
      Returns:
        the contained query.

    - #### getBitSet

          public BitSet getBitSet​(LeafReaderContext context)
                           throws IOException

      Description copied from interface: `BitSetProducer`
      Produce a `BitSet` matching the expected documents on the given segment. This may return `null` if no documents match.
      Specified by:
        `getBitSet` in interface `BitSetProducer`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`